Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

debhelper-13.6-1.1 RPM for noarch

From OpenSuSE Tumbleweed for noarch

Name: debhelper Distribution: openSUSE Tumbleweed
Version: 13.6 Vendor: openSUSE
Release: 1.1 Build date: Tue Jan 4 19:58:08 2022
Group: Development/Tools/Building Build host: lamb54
Size: 1228422 Source RPM: debhelper-13.6-1.1.src.rpm
Packager: https://bugs.opensuse.org
Url: https://salsa.debian.org/debian/debhelper
Summary: Helper programs for debian/rules
A collection of programs that can be used in a debian/rules file to
automate common tasks related to building debian packages. Programs
are included to install various files into your package, compress
files, fix file permissions, integrate your package with the debian
menu system, debconf, doc-base, etc. Most debian packages use debhelper
as part of their build process.

Provides

Requires

License

GPL-2.0-or-later

Changelog

* Mon Jan 03 2022 Jan Baier <jbaier@suse.com>
  - Update to version 13.6
    * dh_assistant: Avoid creating `debian/.debhelper` when the
      which-build-system sub command is invoked.  Thanks to
      Jelmer Vernooij for spotting that bug.
    * dh_assistant: Add new active-compat-level command, which
      outputs information about which compat level is declared
      and active.  It also tells how the compat level was
      declared.
    * Dh_Lib.pm: Add new function, get_non_binnmu_date_epoch,
      only needed for dh_strip_nondeterminism.
    * dh_installcron: Add support for `cron.yearly` packaging
      file.  Thanks to Martin-Éric Racine for the suggestion.
      (Closes: #1000363)
    * Dh_Lib.pm: Remove support for compat 5 and 6.
    * debhelper.pod,debhelper-obsolete-compat.pod: Update to
      reflect the new status for compat 5 and 6.
    * dh: Add missing _ in execute_after example in POD.
    * dh_compress: Exclude .woff and .woff2 by default.
    * Update Portuguese translation (Américo Monteiro)
      (Closes: #1000719)
* Mon Oct 18 2021 Jan Baier <jbaier@suse.com>
  - Update to version 13.5.2
    * dh_installsystemd: Revert change to deploy systemd files into
      usr/lib/systemd.  (Closes: #993316, #993759)
    * dh_installinit: Ditto.
    * dh_systemd_enable: Ditto.
    * dh_systemd_start: Ditto.
    * SequencerUtil.pm: Remove duplicate "-a" option to some commands.
      Thanks to Christoph Berg for reporting the issue.
      (Closes: #971761)
    * dh_installdeb: Revert the change to rewrite `rm_conffiles` into
      `remove-on-upgrade` due to it causing bugs in non-trivial cases.
      (Closes: #994919)
    * dh_installtmpfiles: Add missing option name in POD documentation.
    * cmake.pm: make it possible to override dh provided ctest arguments
    * cmake.pm: Add missing import which broke cmake related builds.
      Thanks to Boyuan Yang for reporting the issue.
      (Closes: #993345)
    * dh_installdeb: Install debian/conffiles in compat 12+ again
      (undoing the compat 12 change saying dh_installdeb would ignore
      this file).  The file can now be using for the activating the
      `remove-on-upgrade` feature from dpkg 1.20.
    * dh_installdeb: Automatically rewrite `rm_conffiles` into the
      new `remove-on-upgrade` feature from dpkg when possible.
    * cmake.pm: Pass `ARGS+=--verbose` to make when running tests
      in the cmake+make variant except when "terse" is in
      DEB_BUILD_OPTIONS.  Thanks to Paul Wise for the suggestion.
      (Closes: #992623)
    * python_support.pm: Remove obsolete dh addon.  It did nothing
      but warn and nothing used it anymore.
    * dh: Document debhelper provided dh addon sequences.
    * single_binary.pm: New dh addon ("single-binary") that explicitly
      activates the "single binary" work flow, where dh_auto_install
      uses debian/<pkg> as default --destdir when there is only a
      single binary package.  It will error out if used in a
      source package building multiple binary packages.
    * dh: Activate "single-binary" addon by default in compat levels
      up to and including compat 14 when the source package only lists
      one binary package in debian/control.  In compat 14, emit a warning
      when this happens implicitly requesting users to explicitly enable
      or disable the addon for single binary source packages to avoid
      surprises in compat 15.
    * dh_auto_install: In compat 15, remove special-case default for
    - -destdir for single binary source packages.  If the previous
      default is desired, please use the "single-binary" dh addon or
      explicitly pass --destdir to dh_auto_install.
      (Closes: #971432)
    * debian/control: Provide dh-sequence-single-binary.
    * debhelper.pod: Document the dh_auto_install will change behaviour
      in compat 15 for single binary packages and dh will warning about
      that in compat 14.
    * dh_assistant: New tool for assisting third-party tools.  At the
      moment, it primarily supports introspection related features but
      will hopefully be extended to support more use cases.
      (Closes: #984900)
* Mon Oct 18 2021 Jan Baier <jbaier@suse.com>
  - Update to version 13.4.1
    * autoscripts/*: Replace `which` with `command -v`.
    * dh_installsystemd: Only merge /lib/systemd/system into /usr
      for now.  (Closes: #992554)
    * dh_systemd_enable: Ditto.
    * autoscripts/postinst-init-nostart: Call invoke-rc.d when
      a non-empty DPKG_ROOT is used.  (Closes: #992556)
    * Replace "use v5.28" with "use v5.24" in Dh_Lib.pm.
      The change to "use v5.28" in 13.4 broke the test to distinguish 0755
      from "0755" in the reset_perm_and_owner function, breaking builds.
      Thanks Adrian Bunk and Ansgar for help isolating the problem.
    * debian/changelog: Correct bug number in the 13.4 entry.
    * dh_dwz: run in parallel across packages.  (Closes: !47)
    * Dh_Buildsystems.pm: Add bmake and mkcmake as third-party
      build systems.  (Closes: !46)
    * Dh_Buildsystems.pm: Add golang as a third-party build
      system.  (Closes: #981106)
    * autoscripts/*: Add support for DPKG_ROOT in systemd, tmpusers,
      sysusers and init related snippets.  Based on an initial patch
      from Helmut Grohne.  (Closes: #983566)
    * autoscripts/*: Reorder conditions in some scripts to avoid
      doing a redundant stat call when a script parameter can decide
      to skip it.
    * dh_gconf: Remove the command as it does nothing.
      (Closes: #908845)
    * doc/TODO: Remove reference to dh_gconf.
    * root_sequence.pm: Remove dh_gconf from root sequence and declare
      it as obsolete (causing errors from compat 14 if still referenced
      in hook targets).
    * man/po4a/po4a.cfg: Remove dh_gconf from translations.
    * AddonAPI.pm: The declare_command_obsolete command now accepts an
      "$error_compat" parameter to enable addons to choose which compat
      level that will trigger an error (though it must be minimum 13).
    * doc/PROGRAMMING: Update docs to reflect API change.
    * debhelper.pod: Document that referencing dh_gconf in hook targets
      will cause an error in compat 14.
    * dh_fixperms: Correct permissions of files beneath usr/libexec to
      be executable.  (Closes: #979401)
    * dh_installtmpfiles: Only register tmpfiles ending with ".conf" as
      tmpfiles in /usr/lib/tmpfiles.d and /etc/tmpfiles.d.  This ensures
      that dh_installtmpfiles gracefully copes with e.g. README files
      provided by systemd upstream.  (Closes: #986329)
    * dh_installsystemd: Ditto (but only relevant in compat 12 or
      earlier)
    * cmake.pm: Pass -DCMAKE_FIND_USE_PACKAGE_REGISTRY=OFF to cmake in
      addition to -DCMAKE_FIND_PACKAGE_NO_PACKAGE_REGISTRY=ON as the
      former is intended to replace the latter.  Thanks to Raul Tambre
      for reporting the issue.  (Closes: #988973)
    * Dh_Lib.pm: Bump version requirement to v5.28 to reflect the actual
      requirements (the code was using v5.28 features).  Thanks to
      Sérgio Basto for reporting the issue.
    * dh_missing: Ditto.
    * autoscripts/postinst-init,autoscripts/postinst-systemd-start: Use
      "restart" instead of "start" when starting the services.  This
      ensures a smooth transition from --restart-after-upgrade to
    - -no-restart-after-upgrade in dh_installinit and dh_installsystemd.
      Thanks to Ryan Tandy for reporting the issue.
      (Closes: #989155)
    * dh_installsystemd: Remove usage of autoscripts/postinst-systemd-restart
    * dh_installinit: Remove usage of autoscripts/postinst-init-restart
    * autoscripts/autoscripts/postinst-systemd-restart: Removed.
    * autoscripts/postinst-init-restart: Removed
    * dh_installsystemd: Prefer /usr/lib/systemd/ to /lib/systemd.
      (Closes: #987989)
    * dh_systemd_enable: Ditto.
    * dh_systemd_start: Ditto.
    * dh_installinit: Ditto.
    * dh_installsystemd: Merge /lib/systemd into /usr/lib/systemd if both
      are present in the package staging directory (prefering the latter
      in case of conflicts).  (Closes: #987989)
    * dh_systemd_enable: Ditto.
    * perl_build.pm,perl_makemaker.pm: Make debhelper use the same perl
      as it runs under (via Perl's $^X variable) when invoking the
      upstream build system.  (Closes: !40, #966396)
    * Always generate unique doc-base file names based on package name and
      document ID. (Closes: #980903)
* Tue Mar 16 2021 Jan Baier <jbaier@suse.com>
  - Update to version 13.3.4
  - Adapt patches to new upstream version:
    * remove debhelper-9.20150101-no-localized-manpages.patch
    * add debhelper-no-localized-manpages.patch
* Sun Jul 24 2016 p.drouand@gmail.com
  - Update to version 9.20160709
* Sun Jan 04 2015 p.drouand@gmail.com
  - Update to version 9.20150101
  - Adapt debhelper-no-localized-manpages.patch to upstream changes
    * debhelper-9.20150101-no-localized-manpages.patch
  - Remove upstreamed debhelper-findutils.patch
* Fri Oct 04 2013 frank.lichtenheld@sophos.com
  - import upstream patch debhelper-findutils.patch from Git
    * Avoid find -perm +mode breakage caused by findutils 4.5.11,
    by instead using -perm /mode (deb#700200)
* Thu Sep 27 2012 frank.lichtenheld@sophos.com
  - update to debhelper-9.20120830
    * dh_installcatalogs: Turn /etc/sgml/$package.cat into conffiles
    and introduce dependency on trigger-based sgml-base. Closes: #477751
    * dh: When there's an -indep override target without -arch, or vice versa,
    avoid acting on packages covered by the override target when running
    the command for packages not covered by it. Closes: #676462
* Fri Jul 06 2012 frank.lichtenheld@sophos.com
  - fix Provides for package split, there is no /usr/bin/debhelper
  - fix wrong perl require on Fedora
* Tue Jun 26 2012 frank.lichtenheld@sophos.com
  - refresh debhelper-pod2man-no-utf8.patch to allow build
    on SLE 11 SP2

Files

/usr/bin/dh
/usr/bin/dh_assistant
/usr/bin/dh_auto_build
/usr/bin/dh_auto_clean
/usr/bin/dh_auto_configure
/usr/bin/dh_auto_install
/usr/bin/dh_auto_test
/usr/bin/dh_bugfiles
/usr/bin/dh_builddeb
/usr/bin/dh_clean
/usr/bin/dh_compress
/usr/bin/dh_dwz
/usr/bin/dh_fixperms
/usr/bin/dh_gencontrol
/usr/bin/dh_icons
/usr/bin/dh_install
/usr/bin/dh_installalternatives
/usr/bin/dh_installcatalogs
/usr/bin/dh_installchangelogs
/usr/bin/dh_installcron
/usr/bin/dh_installdeb
/usr/bin/dh_installdebconf
/usr/bin/dh_installdirs
/usr/bin/dh_installdocs
/usr/bin/dh_installemacsen
/usr/bin/dh_installexamples
/usr/bin/dh_installgsettings
/usr/bin/dh_installifupdown
/usr/bin/dh_installinfo
/usr/bin/dh_installinit
/usr/bin/dh_installinitramfs
/usr/bin/dh_installlogcheck
/usr/bin/dh_installlogrotate
/usr/bin/dh_installman
/usr/bin/dh_installmanpages
/usr/bin/dh_installmenu
/usr/bin/dh_installmime
/usr/bin/dh_installmodules
/usr/bin/dh_installpam
/usr/bin/dh_installppp
/usr/bin/dh_installsystemd
/usr/bin/dh_installsystemduser
/usr/bin/dh_installsysusers
/usr/bin/dh_installtmpfiles
/usr/bin/dh_installudev
/usr/bin/dh_installwm
/usr/bin/dh_installxfonts
/usr/bin/dh_link
/usr/bin/dh_lintian
/usr/bin/dh_listpackages
/usr/bin/dh_makeshlibs
/usr/bin/dh_md5sums
/usr/bin/dh_missing
/usr/bin/dh_movefiles
/usr/bin/dh_perl
/usr/bin/dh_prep
/usr/bin/dh_shlibdeps
/usr/bin/dh_strip
/usr/bin/dh_systemd_enable
/usr/bin/dh_systemd_start
/usr/bin/dh_testdir
/usr/bin/dh_testroot
/usr/bin/dh_ucf
/usr/bin/dh_update_autotools_config
/usr/bin/dh_usrlocal
/usr/lib/perl5/vendor_perl/5.34.0/Debian
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem/ant.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem/autoconf.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem/cmake.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem/makefile.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem/meson.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem/ninja.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem/perl_build.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem/perl_makemaker.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem/python_distutils.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem/qmake.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Buildsystem/qmake_qt4.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/DH
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/DH/AddonAPI.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/DH/SequenceState.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Dh_Buildsystems.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Dh_Getopt.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Dh_Lib.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Dh_Version.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Sequence
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Sequence.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Sequence/build_stamp.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Sequence/dwz.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Sequence/elf_tools.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Sequence/installinitramfs.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Sequence/root_sequence.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Sequence/single_binary.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/Sequence/systemd.pm
/usr/lib/perl5/vendor_perl/5.34.0/Debian/Debhelper/SequencerUtil.pm
/usr/share/debhelper
/usr/share/debhelper/autoscripts
/usr/share/debhelper/autoscripts/maintscript-helper
/usr/share/debhelper/autoscripts/postinst-alternatives
/usr/share/debhelper/autoscripts/postinst-emacsen
/usr/share/debhelper/autoscripts/postinst-icons
/usr/share/debhelper/autoscripts/postinst-init
/usr/share/debhelper/autoscripts/postinst-init-nostart
/usr/share/debhelper/autoscripts/postinst-init-tmpfiles
/usr/share/debhelper/autoscripts/postinst-menu
/usr/share/debhelper/autoscripts/postinst-menu-method
/usr/share/debhelper/autoscripts/postinst-modules
/usr/share/debhelper/autoscripts/postinst-systemd-dont-enable
/usr/share/debhelper/autoscripts/postinst-systemd-enable
/usr/share/debhelper/autoscripts/postinst-systemd-restart
/usr/share/debhelper/autoscripts/postinst-systemd-restartnostart
/usr/share/debhelper/autoscripts/postinst-systemd-start
/usr/share/debhelper/autoscripts/postinst-systemd-user-dont-enable
/usr/share/debhelper/autoscripts/postinst-systemd-user-enable
/usr/share/debhelper/autoscripts/postinst-systemd-user-restart
/usr/share/debhelper/autoscripts/postinst-sysusers
/usr/share/debhelper/autoscripts/postinst-ucf
/usr/share/debhelper/autoscripts/postinst-usrlocal
/usr/share/debhelper/autoscripts/postinst-wm
/usr/share/debhelper/autoscripts/postinst-wm-noman
/usr/share/debhelper/autoscripts/postinst-xfonts
/usr/share/debhelper/autoscripts/postrm-debconf
/usr/share/debhelper/autoscripts/postrm-icons
/usr/share/debhelper/autoscripts/postrm-init
/usr/share/debhelper/autoscripts/postrm-menu
/usr/share/debhelper/autoscripts/postrm-menu-method
/usr/share/debhelper/autoscripts/postrm-modules
/usr/share/debhelper/autoscripts/postrm-sgmlcatalog
/usr/share/debhelper/autoscripts/postrm-systemd
/usr/share/debhelper/autoscripts/postrm-systemd-reload-only
/usr/share/debhelper/autoscripts/postrm-systemd-user
/usr/share/debhelper/autoscripts/postrm-systemd-user-reload-only
/usr/share/debhelper/autoscripts/postrm-ucf
/usr/share/debhelper/autoscripts/postrm-xfonts
/usr/share/debhelper/autoscripts/preinst-emacsen
/usr/share/debhelper/autoscripts/prerm-alternatives
/usr/share/debhelper/autoscripts/prerm-emacsen
/usr/share/debhelper/autoscripts/prerm-init
/usr/share/debhelper/autoscripts/prerm-init-norestart
/usr/share/debhelper/autoscripts/prerm-systemd
/usr/share/debhelper/autoscripts/prerm-systemd-restart
/usr/share/debhelper/autoscripts/prerm-systemd-user-stop
/usr/share/debhelper/autoscripts/prerm-usrlocal
/usr/share/debhelper/autoscripts/prerm-wm
/usr/share/doc/packages/debhelper
/usr/share/doc/packages/debhelper/PROGRAMMING
/usr/share/doc/packages/debhelper/README
/usr/share/doc/packages/debhelper/SUPPORT-POLICY
/usr/share/doc/packages/debhelper/TODO
/usr/share/doc/packages/debhelper/changelog
/usr/share/doc/packages/debhelper/copyright
/usr/share/doc/packages/debhelper/rules.tiny
/usr/share/man/man1/dh.1.gz
/usr/share/man/man1/dh_assistant.1.gz
/usr/share/man/man1/dh_auto_build.1.gz
/usr/share/man/man1/dh_auto_clean.1.gz
/usr/share/man/man1/dh_auto_configure.1.gz
/usr/share/man/man1/dh_auto_install.1.gz
/usr/share/man/man1/dh_auto_test.1.gz
/usr/share/man/man1/dh_bugfiles.1.gz
/usr/share/man/man1/dh_builddeb.1.gz
/usr/share/man/man1/dh_clean.1.gz
/usr/share/man/man1/dh_compress.1.gz
/usr/share/man/man1/dh_dwz.1.gz
/usr/share/man/man1/dh_fixperms.1.gz
/usr/share/man/man1/dh_gencontrol.1.gz
/usr/share/man/man1/dh_icons.1.gz
/usr/share/man/man1/dh_install.1.gz
/usr/share/man/man1/dh_installalternatives.1.gz
/usr/share/man/man1/dh_installcatalogs.1.gz
/usr/share/man/man1/dh_installchangelogs.1.gz
/usr/share/man/man1/dh_installcron.1.gz
/usr/share/man/man1/dh_installdeb.1.gz
/usr/share/man/man1/dh_installdebconf.1.gz
/usr/share/man/man1/dh_installdirs.1.gz
/usr/share/man/man1/dh_installdocs.1.gz
/usr/share/man/man1/dh_installemacsen.1.gz
/usr/share/man/man1/dh_installexamples.1.gz
/usr/share/man/man1/dh_installgsettings.1.gz
/usr/share/man/man1/dh_installifupdown.1.gz
/usr/share/man/man1/dh_installinfo.1.gz
/usr/share/man/man1/dh_installinit.1.gz
/usr/share/man/man1/dh_installinitramfs.1.gz
/usr/share/man/man1/dh_installlogcheck.1.gz
/usr/share/man/man1/dh_installlogrotate.1.gz
/usr/share/man/man1/dh_installman.1.gz
/usr/share/man/man1/dh_installmanpages.1.gz
/usr/share/man/man1/dh_installmenu.1.gz
/usr/share/man/man1/dh_installmime.1.gz
/usr/share/man/man1/dh_installmodules.1.gz
/usr/share/man/man1/dh_installpam.1.gz
/usr/share/man/man1/dh_installppp.1.gz
/usr/share/man/man1/dh_installsystemd.1.gz
/usr/share/man/man1/dh_installsystemduser.1.gz
/usr/share/man/man1/dh_installsysusers.1.gz
/usr/share/man/man1/dh_installtmpfiles.1.gz
/usr/share/man/man1/dh_installudev.1.gz
/usr/share/man/man1/dh_installwm.1.gz
/usr/share/man/man1/dh_installxfonts.1.gz
/usr/share/man/man1/dh_link.1.gz
/usr/share/man/man1/dh_lintian.1.gz
/usr/share/man/man1/dh_listpackages.1.gz
/usr/share/man/man1/dh_makeshlibs.1.gz
/usr/share/man/man1/dh_md5sums.1.gz
/usr/share/man/man1/dh_missing.1.gz
/usr/share/man/man1/dh_movefiles.1.gz
/usr/share/man/man1/dh_perl.1.gz
/usr/share/man/man1/dh_prep.1.gz
/usr/share/man/man1/dh_shlibdeps.1.gz
/usr/share/man/man1/dh_strip.1.gz
/usr/share/man/man1/dh_systemd_enable.1.gz
/usr/share/man/man1/dh_systemd_start.1.gz
/usr/share/man/man1/dh_testdir.1.gz
/usr/share/man/man1/dh_testroot.1.gz
/usr/share/man/man1/dh_ucf.1.gz
/usr/share/man/man1/dh_update_autotools_config.1.gz
/usr/share/man/man1/dh_usrlocal.1.gz
/usr/share/man/man7/debhelper.7.gz


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon May 2 23:20:19 2022